Bug 1282914 - Review Request: perl-Lingua-Translit - Transliterates text between writing systems
Review Request: perl-Lingua-Translit - Transliterates text between writing sy...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1284461
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 14:27 EST by Denis Fateyev
Modified: 2015-12-12 16:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-05 20:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-11-17 14:27:05 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Lingua-Translit.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Lingua-Translit-0.22-1.fc24.src.rpm
Description: Lingua::Translit can be used to convert text from one writing system to another, based on national or international transliteration tables. Where possible a reverse transliteration is supported.
Fedora Account System Username: dfateyev

Koji rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11886088
Comment 1 Upstream Release Monitoring 2015-11-18 04:58:50 EST
jplesnik's scratch build of perl-Lingua-Translit-0.22-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11891179
Comment 2 Jitka Plesnikova 2015-11-18 05:18:19 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Lingua-Translit-0.22-1.fc24.noarch.rpm | sort | uniq -c
      1 /usr/bin/perl
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Carp)
      1 perl(Encode)
      1 perl(Exporter)
      1 perl(Getopt::Long)
      1 perl(Lingua::Translit)
      1 perl(Lingua::Translit::Tables)
      1 perl(strict)
      1 perl(utf8)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-Lingua-Translit-0.22-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Lingua::Translit) = 0.22
      1 perl(Lingua::Translit::Tables) = 0.10
      1 perl-Lingua-Translit = 0.22-1.fc24

Binary provides are Ok.

$ rpmlint ./perl-Lingua-Translit*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

BuildRequires
FIX: Please add BRs:
- perl(Exporter) - Lingua-Translit-0.22/lib/Lingua/Translit/Tables.pm - line 74
- perl(utf8) - Lingua-Translit-0.22/lib/Lingua/Translit/Tables.pm - line 12
  and tests
- make - spec file - line 38, 44, 52
- coreutils - spec file - line 46, 47, 56
- findutils - spec file - line 46, 47

FIX: Replace variable PERL_INSTALL_ROOT obsoleted with DESTDIR name in
  %install.
TODO: Remove the deleting empty directories in %install section. This is
  default behavior.


Please correct all 'FIX' issues and consider fixing 'TODO' items and provide
new spec file.
Comment 3 Denis Fateyev 2015-11-18 06:09:10 EST
Thanks for the review, Jitka.

> - make - spec file - line 38, 44, 52
> - coreutils - spec file - line 46, 47, 56
> - findutils - spec file - line 46, 47

Aren't they populated in build environment automatically? I believe I've seen once a list of packages which aren't required in BR, but surprisingly I can't find it right now.
Comment 4 Jitka Plesnikova 2015-11-18 06:31:59 EST
All dependencies should be listed due to the latest version of the packaging guidelines. The list which you mention was removed.


For more info:
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires_2
https://fedorahosted.org/fpc/ticket/497
Comment 5 Upstream Release Monitoring 2015-11-18 06:54:42 EST
dfateyev's scratch build of perl-Lingua-Translit-0.22-2.fc20.denf.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11891896
Comment 6 Denis Fateyev 2015-11-18 07:08:43 EST
Thanks, didn't know about these recent changes in guidelines. 
Fixed BuildRequires, improved source path, fixed another small details mentioned.

Spec path: http://www.fateyev.com/RPMS/Fedora22/perl-Lingua-Translit.spec

Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11891891
Comment 7 Jitka Plesnikova 2015-11-18 07:21:26 EST
It looks good now.

Approved
Comment 8 Gwyn Ciesla 2015-11-18 11:22:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Lingua-Translit
Comment 9 Fedora Update System 2015-11-20 14:26:15 EST
perl-Lingua-Translit-0.22-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b89a8a7be7
Comment 10 Fedora Update System 2015-11-20 14:26:21 EST
perl-Lingua-Translit-0.22-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-456947b83d
Comment 11 Fedora Update System 2015-11-20 14:26:21 EST
perl-Lingua-Translit-0.22-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd0119af4f
Comment 12 Fedora Update System 2015-11-20 14:26:25 EST
perl-Lingua-Translit-0.22-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b025075c9c
Comment 13 Fedora Update System 2015-11-21 12:50:45 EST
perl-Lingua-Translit-0.22-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b89a8a7be7
Comment 14 Fedora Update System 2015-11-21 15:47:29 EST
perl-Lingua-Translit-0.22-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b025075c9c
Comment 15 Fedora Update System 2015-11-21 15:49:41 EST
perl-Lingua-Translit-0.22-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-456947b83d
Comment 16 Fedora Update System 2015-11-21 15:52:33 EST
perl-Lingua-Translit-0.22-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5858d1d314
Comment 17 Fedora Update System 2015-11-22 09:25:19 EST
perl-Lingua-Translit-0.22-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd0119af4f
Comment 18 Fedora Update System 2015-11-23 13:18:55 EST
perl-Lingua-Translit-0.23-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8bc29ecc34
Comment 19 Fedora Update System 2015-11-23 13:18:56 EST
perl-Lingua-Translit-0.23-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7baefb67c1
Comment 20 Fedora Update System 2015-11-23 13:19:04 EST
perl-Lingua-Translit-0.23-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-23a8155f8a
Comment 21 Fedora Update System 2015-11-23 13:19:05 EST
perl-Lingua-Translit-0.23-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-538f171889
Comment 22 Fedora Update System 2015-11-23 13:19:11 EST
perl-Lingua-Translit-0.23-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f8acd7e341
Comment 23 Denis Fateyev 2015-11-23 13:26:20 EST
Updates for this submission are obsoleted with RHBZ#1284461 (0.23 release came shortly after 0.22 considered here).
Comment 24 Fedora Update System 2015-11-24 21:55:19 EST
perl-Lingua-Translit-0.23-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-538f171889
Comment 25 Fedora Update System 2015-11-25 19:51:40 EST
perl-Lingua-Translit-0.23-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-23a8155f8a
Comment 26 Fedora Update System 2015-11-25 19:54:44 EST
perl-Lingua-Translit-0.23-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8bc29ecc34
Comment 27 Fedora Update System 2015-11-25 21:27:28 EST
perl-Lingua-Translit-0.23-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7baefb67c1
Comment 28 Fedora Update System 2015-11-26 23:47:26 EST
perl-Lingua-Translit-0.23-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Lingua-Translit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f8acd7e341
Comment 29 Fedora Update System 2015-12-05 20:24:01 EST
perl-Lingua-Translit-0.23-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2015-12-05 22:19:48 EST
perl-Lingua-Translit-0.23-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2015-12-12 14:23:43 EST
perl-Lingua-Translit-0.23-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2015-12-12 14:55:01 EST
perl-Lingua-Translit-0.23-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2015-12-12 16:23:21 EST
perl-Lingua-Translit-0.23-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.